%def_disable debug

Name: memcached
Version: 1.2.2
Release: alt1

Summary: memcached - memory caching daemon
License: BSD
Group: System/Servers

Url: http://www.danga.com/memcached/
Source: %url/%name-%version.tar.bz2
Source1: %name.conf
Source2: %name.init

Requires(pre): shadow-utils

%define pkg_user memcached
%define pkg_group memcached

Packager: L.A. Kostis <lakostis@altlinux.ru>

# Automatically added by buildreq on Wed Nov 02 2005
BuildRequires: libevent-devel

%description
memcached is a flexible memory object caching daemon designed to  alle-
viate  database  load in dynamic web applications by storing objects in
specifically  optimized  to  avoid swapping and always use non-blocking
I/O.

%prep
%setup -q

%build
%configure --enable-threads
%make_build

%if_enabled debug
%__make test
%endif

%install
%__mkdir_p %buildroot{%_initdir,%_logdir/%name,%_datadir/%name/scripts}
%makeinstall

%__install -pD -m644 %SOURCE1 %buildroot%_sysconfdir/%name.conf
%__install -pD -m755 %SOURCE2 %buildroot%_initdir/%name
%__install -pD -m755 scripts/* %buildroot%_datadir/%name/scripts/

%files
%_initdir/*
%_bindir/%name
%attr(750,root,%pkg_user) %config(noreplace) %_sysconfdir/%name.conf
%attr(750,%pkg_user,%pkg_group) %_logdir/%name
%_datadir/%name
%_man1dir/*
%doc doc/*.txt doc/CONTRIBUTORS AUTHORS ChangeLog NEWS README TODO 

%pre
%_sbindir/groupadd -r -f %pkg_group ||:
%_sbindir/useradd -r -g %pkg_group -d /dev/null -s /dev/null -n %pkg_user \
	2> /dev/null > /dev/null ||:

%post
%post_service %name

%preun
%preun_service %name

%changelog
* Sat Jun 02 2007 L.A. Kostis <lakostis@altlinux.ru> 1.2.2-alt1
- new version from 1.2 branch (fix ALT #11932). 
- build with threads support.
- add packager field.
- add debug switch for testing purposes (disabled by default).

* Wed Nov 02 2005 LAKostis <lakostis@altlinux.ru> 1.1.12-alt1
- first build for ALTLinux.

